Bug 984332 - xl2tpd tmpfiles configuration file in wrong directory
xl2tpd tmpfiles configuration file in wrong directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xl2tpd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 20:54 EDT by Eric Smith
Modified: 2014-05-24 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: xl2tpd-1.3.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-21 19:27:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2013-07-14 20:54:32 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  This requirement changed as of 6 June 2012 revision of the Fedora tmpfiles packaging guidelines.  The intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The current Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Fedora Update System 2014-05-13 11:37:12 EDT
xl2tpd-1.3.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xl2tpd-1.3.6-1.fc20
Comment 2 Fedora Update System 2014-05-13 11:39:00 EDT
xl2tpd-1.3.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xl2tpd-1.3.6-1.fc19
Comment 3 lnie 2014-05-14 00:19:50 EDT
xl2tpd-1.3.6-1.fc20 works
Comment 4 Fedora Update System 2014-05-14 19:55:35 EDT
Package xl2tpd-1.3.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xl2tpd-1.3.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6347/xl2tpd-1.3.6-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-05-21 19:27:35 EDT
xl2tpd-1.3.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-05-24 19:24:41 EDT
xl2tpd-1.3.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.